# GstNetAddressMeta

GstNetAddressMeta can be used to store a network address (a GSocketAddress) in a GstBuffer so that it network elements can track the to and from address of the buffer.

## GstNetAddressMeta

Buffer metadata for network addresses.

### Members

`meta` (GstMeta) –

the parent type

`addr` (GSocketAddress *) –

a GSocketAddress stored as metadata

## GstNet.NetAddressMeta

Buffer metadata for network addresses.

### Members

`meta` (Gst.Meta) –

the parent type

`addr` (Gio.SocketAddress) –

a Gio.SocketAddress stored as metadata

## GstNet.NetAddressMeta

Buffer metadata for network addresses.

### Members

`meta` (Gst.Meta) –

the parent type

`addr` (Gio.SocketAddress) –

a Gio.SocketAddress stored as metadata

### Functions

#### gst_net_address_meta_get_info

    const GstMetaInfo *
    gst_net_address_meta_get_info ()

Returns –
No description available

#### GstNet.prototype.net_address_meta_get_info

    function GstNet.prototype.net_address_meta_get_info(): {
        // javascript wrapper for 'gst_net_address_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstNet.net_address_meta_get_info

    def GstNet.net_address_meta_get_info ():
        #python wrapper for 'gst_net_address_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## Functions

### gst_buffer_add_net_address_meta

    GstNetAddressMeta *
    gst_buffer_add_net_address_meta (GstBuffer * buffer,
                                     GSocketAddress * addr)

Attaches addr as metadata in a GstNetAddressMeta to buffer.

Parameters:

`buffer` –

a GstBuffer

`addr` –

a GSocketAddress to connect to buffer

Returns ( [transfer: none]) –

a GstNetAddressMeta connected to buffer

### GstNet.prototype.buffer_add_net_address_meta

    function GstNet.prototype.buffer_add_net_address_meta(buffer: Gst.Buffer, addr: Gio.SocketAddress): {
        // javascript wrapper for 'gst_buffer_add_net_address_meta'
    }

Attaches addr as metadata in a GstNet.NetAddressMeta to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`addr` (Gio.SocketAddress) –

a GSocketAddress to connect to buffer

Returns (GstNet.NetAddressMeta) –

a GstNet.NetAddressMeta connected to buffer

### GstNet.buffer_add_net_address_meta

    def GstNet.buffer_add_net_address_meta (buffer, addr):
        #python wrapper for 'gst_buffer_add_net_address_meta'

Attaches addr as metadata in a GstNet.NetAddressMeta to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`addr` (Gio.SocketAddress) –

a GSocketAddress to connect to buffer

Returns (GstNet.NetAddressMeta) –

a GstNet.NetAddressMeta connected to buffer

### gst_buffer_get_net_address_meta

    GstNetAddressMeta *
    gst_buffer_get_net_address_meta (GstBuffer * buffer)

Find the GstNetAddressMeta on buffer.

Parameters:

`buffer` –

a GstBuffer

Returns ( [transfer: none][nullable]) –

the GstNetAddressMeta or NULL when there is no such metadata on buffer.

### GstNet.prototype.buffer_get_net_address_meta

    function GstNet.prototype.buffer_get_net_address_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_get_net_address_meta'
    }

Find the GstNet.NetAddressMeta on buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstNet.NetAddressMeta) –

the GstNet.NetAddressMeta or null when there is no such metadata on buffer.

### GstNet.buffer_get_net_address_meta

    def GstNet.buffer_get_net_address_meta (buffer):
        #python wrapper for 'gst_buffer_get_net_address_meta'

Find the GstNet.NetAddressMeta on buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstNet.NetAddressMeta) –

the GstNet.NetAddressMeta or None when there is no such metadata on buffer.

### gst_net_address_meta_api_get_type

    GType
    gst_net_address_meta_api_get_type ()

Returns –
No description available

### GstNet.prototype.net_address_meta_api_get_type

    function GstNet.prototype.net_address_meta_api_get_type(): {
        // javascript wrapper for 'gst_net_address_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstNet.net_address_meta_api_get_type

    def GstNet.net_address_meta_api_get_type ():
        #python wrapper for 'gst_net_address_meta_api_get_type'

Returns (GObject.Type) –
No description available

## Constants

### GST_NET_ADDRESS_META_API_TYPE

    #define GST_NET_ADDRESS_META_API_TYPE (gst_net_address_meta_api_get_type())

### GST_NET_ADDRESS_META_INFO

    #define GST_NET_ADDRESS_META_INFO (gst_net_address_meta_get_info())

The results of the search are